Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -11025,31 +21777,31 @@
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'Aperture'           Aperture                 N
-  'ColorMode'          ColorMode                N
-  'ConTake'            ConTake                  N
-  'ExpBias'            ExposureCompensation     N
-  'FNumber'            FNumber                  N
-  'FWare'              FirmwareVersion          N
-  'Flash'              Flash                    N
-  'FocusMode'          FocusMode                N
-  'FocusPos'           FocusPos                 N
-  'ID'                 ID                       N
-  'ImageSize'          ImageSize                N
-  'LightS'             LightS                   N
-  'Macro'              Macro                    N
-  'Protect'            Protect                  N
-  'Quality'            Quality                  N
-  'Resolution'         Resolution               N
-  'Serial#'            SerialNumber             N
-  'Shutter'            ExposureTime             N
-  'StrobeTime'         StrobeTime               N
-  'TimeDate'           DateTimeOriginal         N
-  'Type'               CameraType               N
-  'Version'            Version                  N
-  'Ytarget'            YTarget                  N
-  'Zoom'               Zoom                     N
-  'ZoomPos'            ZoomPos                  N
-  'shtr'               ExposureTime             N
-  'ylevel'             YLevel                   N
+  'Aperture'           Aperture                 no
+  'ColorMode'          ColorMode                no
+  'ConTake'            ConTake                  no
+  'ExpBias'            ExposureCompensation     no
+  'FNumber'            FNumber                  no
+  'FWare'              FirmwareVersion          no
+  'Flash'              Flash                    no
+  'FocusMode'          FocusMode                no
+  'FocusPos'           FocusPos                 no
+  'ID'                 ID                       no
+  'ImageSize'          ImageSize                no
+  'LightS'             LightS                   no
+  'Macro'              Macro                    no
+  'Protect'            Protect                  no
+  'Quality'            Quality                  no
+  'Resolution'         Resolution               no
+  'Serial#'            SerialNumber             no
+  'Shutter'            ExposureTime             no
+  'StrobeTime'         StrobeTime               no
+  'TimeDate'           DateTimeOriginal         no
+  'Type'               CameraType               no
+  'Version'            Version                  no
+  'Ytarget'            YTarget                  no
+  'Zoom'               Zoom                     no
+  'ZoomPos'            ZoomPos                  no
+  'shtr'               ExposureTime             no
+  'ylevel'             YLevel                   no
 
 =head3 APP12 Ducky Tags
@@ -11074,10 +21826,504 @@
 and TIFF images.
 
+See
+L<http://web.archive.org/web/20080828211305/http://www.tocarte.com/media/axs_afcp_spec.pdf>
+for the AFCP specification.
+
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
   'IPTC'   IPTC                                 IPTC
-  'Nail'   ThumbnailImage                       N
-  'PrVw'   PreviewImage                         N
-  'TEXT'   Text                                 N
+  'Nail'   ThumbnailImage                       no
+  'PrVw'   PreviewImage                         no
+  'TEXT'   Text                                 no
+
+=head2 DarwinCore Tags
+
+Tags defined in the Darwin Core (dwc) XMP namespace.  See
+L<http://rs.tdwg.org/dwc/index.htm> for the official specification.
+
+These tags belong to the ExifTool XMP-dwc family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  DCTermsLocation                               DarwinCore DCTermsLocation Struct
+  DCContinent                                   string_
+  DCCoordinatePrecision                         string_
+  DCCoordinateUncertaintyInMeters               string_
+  DCCountry                                     string_
+  DCCountryCode                                 string_
+  DCCounty                                      string_
+  DCDecimalLatitude                             string_
+  DCDecimalLongitude                            string_
+  DCFootprintSpatialFit                         string_
+  DCFootprintSRS                                string_
+  DCFootprintWKT                                string_
+  DCGeodeticDatum                               string_
+  DCGeoreferencedBy                             string_
+  DCGeoreferencedDate                           string_
+  DCGeoreferenceProtocol                        string_
+  DCGeoreferenceRemarks                         string_
+  DCGeoreferenceSources                         string_
+  DCGeoreferenceVerificationStatus              string_
+  DCHigherGeography                             string_
+  DCHigherGeographyID                           string_
+  DCIsland                                      string_
+  DCIslandGroup                                 string_
+  DCLocality                                    string_
+  DCLocationAccordingTo                         string_
+  DCLocationID                                  string_
+  DCLocationRemarks                             string_
+  DCMaximumDepthInMeters                        string_
+  DCMaximumDistanceAboveSurfaceInMeters         string_
+  DCMaximumElevationInMeters                    string_
+  DCMinimumDepthInMeters                        string_
+  DCMinimumDistanceAboveSurfaceInMeters         string_
+  DCMinimumElevationInMeters                    string_
+  DCMunicipality                                string_
+  DCPointRadiusSpatialFit                       string_
+  DCStateProvince                               string_
+  DCVerbatimCoordinates                         string_
+  DCVerbatimCoordinateSystem                    string_
+  DCVerbatimDepth                               string_
+  DCVerbatimElevation                           string_
+  DCVerbatimLatitude                            string_
+  DCVerbatimLocality                            string_
+  DCVerbatimLongitude                           string_
+  DCVerbatimSRS                                 string_
+  DCWaterBody                                   string_
+  DCEvent                                       DarwinCore Event Struct
+  EventDay                                      integer_
+  EventEarliestDate                             date_
+  EventEndDayOfYear                             integer_
+  EventDate                                     date_
+  EventID                                       string_
+  EventRemarks                                  lang-alt_
+  EventTime                                     string_
+  EventFieldNotes                               string_
+  EventFieldNumber                              string_
+  EventHabitat                                  string_
+  EventLatestDate                               date_
+  EventMonth                                    integer_
+  EventParentEventID                            string_
+  EventSampleSizeUnit                           string_
+  EventSampleSizeValue                          string_
+  EventSamplingEffort                           string_
+  EventSamplingProtocol                         string_
+  EventStartDayOfYear                           integer_
+  EventVerbatimEventDate                        string_
+  EventYear                                     integer_
+  FossilSpecimen                                DarwinCore MaterialSample Struct
+  FossilSpecimenMaterialSampleID                string_
+  GeologicalContext                            DarwinCore GeologicalContext Struct
+  GeologicalContextBed                          string_
+  EarliestAgeOrLowestStage                      string_
+  EarliestEonOrLowestEonothem                   string_
+  EarliestEpochOrLowestSeries                   string_
+  EarliestEraOrLowestErathem                    string_
+  EarliestPeriodOrLowestSystem                  string_
+  GeologicalContextFormation                    string_
+  GeologicalContextID                           string_
+  GeologicalContextGroup                        string_
+  HighestBiostratigraphicZone                   string_
+  LatestAgeOrHighestStage                       string_
+  LatestEonOrHighestEonothem                    string_
+  LatestEpochOrHighestSeries                    string_
+  LatestEraOrHighestErathem                     string_
+  LatestPeriodOrHighestSystem                   string_
+  LithostratigraphicTerms                       string_
+  LowestBiostratigraphicZone                    string_
+  GeologicalContextMember                       string_
+  HumanObservation                              DarwinCore Event Struct
+  HumanObservationDay                           integer_
+  HumanObservationEarliestDate                  date_
+  HumanObservationEndDayOfYear                  integer_
+  HumanObservationEventDate                     date_
+  HumanObservationEventID                       string_
+  HumanObservationEventRemarks                  lang-alt_
+  HumanObservationEventTime                     string_
+  HumanObservationFieldNotes                    string_
+  HumanObservationFieldNumber                   string_
+  HumanObservationHabitat                       string_
+  HumanObservationLatestDate                    date_
+  HumanObservationMonth                         integer_
+  HumanObservationParentEventID                 string_
+  HumanObservationSampleSizeUnit                string_
+  HumanObservationSampleSizeValue               string_
+  HumanObservationSamplingEffort                string_
+  HumanObservationSamplingProtocol              string_
+  HumanObservationStartDayOfYear                integer_
+  HumanObservationVerbatimEventDate             string_
+  HumanObservationYear                          integer_
+  Identification                                DarwinCore Identification Struct
+  DateIdentified                                date_
+  IdentificationID                              string_
+  IdentificationQualifier                       string_
+  IdentificationReferences                      string_
+  IdentificationRemarks                         string_
+  IdentificationVerificationStatus              string_
+  IdentifiedBy                                  string_
+  TypeStatus                                    string_
+  LivingSpecimen                                DarwinCore MaterialSample Struct
+  LivingSpecimenMaterialSampleID                string_
+  MachineObservation                            DarwinCore Event Struct
+  MachineObservationDay                         integer_
+  MachineObservationEarliestDate                date_
+  MachineObservationEndDayOfYear                integer_
+  MachineObservationEventDate                   date_
+  MachineObservationEventID                     string_
+  MachineObservationEventRemarks                lang-alt_
+  MachineObservationEventTime                   string_
+  MachineObservationFieldNotes                  string_
+  MachineObservationFieldNumber                 string_
+  MachineObservationHabitat                     string_
+  MachineObservationLatestDate                  date_
+  MachineObservationMonth                       integer_
+  MachineObservationParentEventID               string_
+  MachineObservationSampleSizeUnit              string_
+  MachineObservationSampleSizeValue             string_
+  MachineObservationSamplingEffort              string_
+  MachineObservationSamplingProtocol            string_
+  MachineObservationStartDayOfYear              integer_
+  MachineObservationVerbatimEventDate           string_
+  MachineObservationYear                        integer_
+  MaterialSample                                DarwinCore MaterialSample Struct
+  MaterialSampleID                              string_
+  MeasurementOrFact                            DarwinCore MeasurementOrFact Struct
+  MeasurementAccuracy                           string_
+  MeasurementDeterminedBy                       string_
+  MeasurementDeterminedDate                     date_
+  MeasurementID                                 string_
+  MeasurementMethod                             string_
+  MeasurementRemarks                            string_
+  MeasurementType                               string_
+  MeasurementUnit                               string_
+  MeasurementValue                              string_
+  Occurrence                                    DarwinCore Occurrence Struct
+  OccurrenceAssociatedMedia                     string_
+  OccurrenceAssociatedOccurrences               string_
+  OccurrenceAssociatedReferences                string_
+  OccurrenceAssociatedSequences                 string_
+  OccurrenceAssociatedTaxa                      string_
+  OccurrenceBehavior                            string_
+  OccurrenceCatalogNumber                       string_
+  OccurrenceDisposition                         string_
+  OccurrenceEstablishmentMeans                  string_
+  OccurrenceIndividualCount                     string_
+  OccurrenceIndividualID                        string_
+  OccurrenceLifeStage                           string_
+  OccurrenceDetails                             string_
+  OccurrenceID                                  string_
+  OccurrenceRemarks                             string_
+  OccurrenceStatus                              string_
+  OccurrenceOrganismQuantity                    string_
+  OccurrenceOrganismQuantityType                string_
+  OccurrenceOtherCatalogNumbers                 string_
+  OccurrencePreparations                        string_
+  OccurrencePreviousIdentifications             string_
+  OccurrenceRecordedBy                          string_
+  OccurrenceRecordNumber                        string_
+  OccurrenceReproductiveCondition               string_
+  OccurrenceSex                                 string_
+  Organism                                      DarwinCore Organism Struct
+  OrganismAssociatedOccurrences                 string_
+  OrganismAssociatedOrganisms                   string_
+  OrganismID                                    string_
+  OrganismName                                  string_
+  OrganismRemarks                               string_
+  OrganismScope                                 string_
+  OrganismPreviousIdentifications               string_
+  PreservedSpecimen                             DarwinCore MaterialSample Struct
+  PreservedSpecimenMaterialSampleID             string_
+  Record                                        DarwinCore Record Struct
+  RecordBasisOfRecord                           string_
+  RecordCollectionCode                          string_
+  RecordCollectionID                            string_
+  RecordDataGeneralizations                     string_
+  RecordDatasetID                               string_
+  RecordDatasetName                             string_
+  RecordDynamicProperties                       string_
+  RecordInformationWithheld                     string_
+  RecordInstitutionCode                         string_
+  RecordInstitutionID                           string_
+  RecordOwnerInstitutionCode                    string_
+  ResourceRelationship                      DarwinCore ResourceRelationship Struct
+  RelatedResourceID                             string_
+  RelationshipAccordingTo                       string_
+  RelationshipEstablishedDate                   date_
+  RelationshipOfResource                        string_
+  RelationshipRemarks                           string_
+  ResourceID                                    string_
+  ResourceRelationshipID                        string_
+  Taxon                                         DarwinCore Taxon Struct
+  TaxonAcceptedNameUsage                        string_
+  TaxonAcceptedNameUsageID                      string_
+  TaxonClass                                    string_
+  TaxonFamily                                   string_
+  TaxonGenus                                    string_
+  TaxonHigherClassification                     string_
+  TaxonInfraspecificEpithet                     string_
+  TaxonKingdom                                  string_
+  TaxonNameAccordingTo                          string_
+  TaxonNameAccordingToID                        string_
+  TaxonNamePublishedIn                          string_
+  TaxonNamePublishedInID                        string_
+  TaxonNamePublishedInYear                      string_
+  TaxonNomenclaturalCode                        string_
+  TaxonNomenclaturalStatus                      string_
+  TaxonOrder                                    string_
+  TaxonOriginalNameUsage                        string_
+  TaxonOriginalNameUsageID                      string_
+  TaxonParentNameUsage                          string_
+  TaxonParentNameUsageID                        string_
+  TaxonPhylum                                   string_
+  TaxonScientificName                           string_
+  TaxonScientificNameAuthorship                 string_
+  TaxonScientificNameID                         string_
+  TaxonSpecificEpithet                          string_
+  TaxonSubgenus                                 string_
+  TaxonConceptID                                string_
+  TaxonID                                       string_
+  TaxonTaxonomicStatus                          string_
+  TaxonRank                                     string_
+  TaxonRemarks                                  string_
+  TaxonVerbatimTaxonRank                        string_
+  TaxonVernacularName                           lang-alt_
+
+=head3 DarwinCore DCTermsLocation Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  Continent                                     string
+  CoordinatePrecision                           string
+  CoordinateUncertaintyInMeters                 string
+  Country                                       string
+  CountryCode                                   string
+  County                                        string
+  DecimalLatitude                               string
+  DecimalLongitude                              string
+  FootprintSRS                                  string
+  FootprintSpatialFit                           string
+  FootprintWKT                                  string
+  GeodeticDatum                                 string
+  GeoreferenceProtocol                          string
+  GeoreferenceRemarks                           string
+  GeoreferenceSources                           string
+  GeoreferenceVerificationStatus                string
+  GeoreferencedBy                               string
+  GeoreferencedDate                             string
+  HigherGeography                               string
+  HigherGeographyID                             string
+  Island                                        string
+  IslandGroup                                   string
+  Locality                                      string
+  LocationAccordingTo                           string
+  LocationID                                    string
+  LocationRemarks                               string
+  MaximumDepthInMeters                          string
+  MaximumDistanceAboveSurfaceInMeters           string
+  MaximumElevationInMeters                      string
+  MinimumDepthInMeters                          string
+  MinimumDistanceAboveSurfaceInMeters           string
+  MinimumElevationInMeters                      string
+  Municipality                                  string
+  PointRadiusSpatialFit                         string
+  StateProvince                                 string
+  VerbatimCoordinateSystem                      string
+  VerbatimCoordinates                           string
+  VerbatimDepth                                 string
+  VerbatimElevation                             string
+  VerbatimLatitude                              string
+  VerbatimLocality                              string
+  VerbatimLongitude                             string
+  VerbatimSRS                                   string
+  WaterBody                                     string
+
+=head3 DarwinCore Event Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  Day                                           integer
+  EarliestDate                                  date
+  EndDayOfYear                                  integer
+  EventDate                                     date
+  EventID                                       string
+  EventRemarks                                  lang-alt
+  EventTime                                     string
+  FieldNotes                                    string
+  FieldNumber                                   string
+  Habitat                                       string
+  LatestDate                                    date
+  Month                                         integer
+  ParentEventID                                 string
+  SampleSizeUnit                                string
+  SampleSizeValue                               string
+  SamplingEffort                                string
+  SamplingProtocol                              string
+  StartDayOfYear                                integer
+  VerbatimEventDate                             string
+  Year                                          integer
+
+=head3 DarwinCore MaterialSample Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  MaterialSampleID                              string
+
+=head3 DarwinCore GeologicalContext Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  Bed                                           string
+  EarliestAgeOrLowestStage                      string
+  EarliestEonOrLowestEonothem                   string
+  EarliestEpochOrLowestSeries                   string
+  EarliestEraOrLowestErathem                    string
+  EarliestPeriodOrLowestSystem                  string
+  Formation                                     string
+  GeologicalContextID                           string
+  Group                                         string
+  HighestBiostratigraphicZone                   string
+  LatestAgeOrHighestStage                       string
+  LatestEonOrHighestEonothem                    string
+  LatestEpochOrHighestSeries                    string
+  LatestEraOrHighestErathem                     string
+  LatestPeriodOrHighestSystem                   string
+  LithostratigraphicTerms                       string
+  LowestBiostratigraphicZone                    string
+  Member                                        string
+
+=head3 DarwinCore Identification Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  DateIdentified                                date
+  IdentificationID                              string
+  IdentificationQualifier                       string
+  IdentificationReferences                      string
+  IdentificationRemarks                         string
+  IdentificationVerificationStatus              string
+  IdentifiedBy                                  string
+  TypeStatus                                    string
+
+=head3 DarwinCore MeasurementOrFact Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  MeasurementAccuracy                           string
+  MeasurementDeterminedBy                       string
+  MeasurementDeterminedDate                     date
+  MeasurementID                                 string
+  MeasurementMethod                             string
+  MeasurementRemarks                            string
+  MeasurementType                               string
+  MeasurementUnit                               string
+  MeasurementValue                              string
+
+=head3 DarwinCore Occurrence Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  AssociatedMedia                               string
+  AssociatedOccurrences                         string
+  AssociatedReferences                          string
+  AssociatedSequences                           string
+  AssociatedTaxa                                string
+  Behavior                                      string
+  CatalogNumber                                 string
+  Disposition                                   string
+  EstablishmentMeans                            string
+  IndividualCount                               string
+  IndividualID                                  string
+  LifeStage                                     string
+  OccurrenceDetails                             string
+  OccurrenceID                                  string
+  OccurrenceRemarks                             string
+  OccurrenceStatus                              string
+  OrganismQuantity                              string
+  OrganismQuantityType                          string
+  OtherCatalogNumbers                           string
+  Preparations                                  string
+  PreviousIdentifications                       string
+  RecordNumber                                  string
+  RecordedBy                                    string
+  ReproductiveCondition                         string
+  Sex                                           string
+
+=head3 DarwinCore Organism Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  AssociatedOccurrences                         string
+  AssociatedOrganisms                           string
+  OrganismID                                    string
+  OrganismName                                  string
+  OrganismRemarks                               string
+  OrganismScope                                 string
+  PreviousIdentifications                       string
+
+=head3 DarwinCore Record Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  BasisOfRecord                                 string
+  CollectionCode                                string
+  CollectionID                                  string
+  DataGeneralizations                           string
+  DatasetID                                     string
+  DatasetName                                   string
+  DynamicProperties                             string
+  InformationWithheld                           string
+  InstitutionCode                               string
+  InstitutionID                                 string
+  OwnerInstitutionCode                          string
+
+=head3 DarwinCore ResourceRelationship Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  RelatedResourceID                             string
+  RelationshipAccordingTo                       string
+  RelationshipEstablishedDate                   date
+  RelationshipOfResource                        string
+  RelationshipRemarks                           string
+  ResourceID                                    string
+  ResourceRelationshipID                        string
+
+=head3 DarwinCore Taxon Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  AcceptedNameUsage                             string
+  AcceptedNameUsageID                           string
+  Class                                         string
+  Family                                        string
+  Genus                                         string
+  HigherClassification                          string
+  InfraspecificEpithet                          string
+  Kingdom                                       string
+  NameAccordingTo                               string
+  NameAccordingToID                             string
+  NamePublishedIn                               string
+  NamePublishedInID                             string
+  NamePublishedInYear                           string
+  NomenclaturalCode                             string
+  NomenclaturalStatus                           string
+  Order                                         string
+  OriginalNameUsage                             string
+  OriginalNameUsageID                           string
+  ParentNameUsage                               string
+  ParentNameUsageID                             string
+  Phylum                                        string
+  ScientificName                                string
+  ScientificNameAuthorship                      string
+  ScientificNameID                              string
+  SpecificEpithet                               string
+  Subgenus                                      string
+  TaxonConceptID                                string
+  TaxonID                                       string
+  TaxonRank                                     string
+  TaxonRemarks                                  string
+  TaxonomicStatus                               string
+  VerbatimTaxonRank                             string
+  VernacularName                                lang-alt
 
 =head2 FotoStation Tags
@@ -11090,11 +22336,11 @@
   0x0001   IPTC                                 IPTC
   0x0002   SoftEdit                             FotoStation SoftEdit
-  0x0003   ThumbnailImage                       Y
-  0x0004   PreviewImage                         Y
+  0x0003   ThumbnailImage                       yes
+  0x0004   PreviewImage                         yes
 
 =head3 FotoStation SoftEdit Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
       0    OriginalImageWidth                   int32s
       1    OriginalImageHeight                  int32s
@@ -11145,11 +22391,16 @@
 Below is a list of the observed PhotoMechanic XMP tags.  The actual
 namespace prefix is "photomechanic" but ExifTool shortens this in
-the "XMP-photomech" family 1 group name.
+the family 1 group name.
+
+These tags belong to the ExifTool XMP-photomech family 1 group.
 
   Tag Name                                      Writable
   --------                                      --------
+  ColorClass                                    integer
   CountryCode                                   string/
   EditStatus                                    string
+  PMVersion                                     string
   Prefs                                         string
+  Tagged                                        boolean
   TimeCreated                                   string/
 
